# -*- coding: iso-8859-15 -*-


# Glasnost
# By: Odile Bénassy <obenassy@entrouvert.com>
#     Romain Chantereau <rchantereau@entrouvert.com>
#     Nicolas Clapiès <nclapies@easter-eggs.org>
#     Pierre-Antoine Dejace <padejace@entrouvert.be>
#     Thierry Dulieu <tdulieu@easter-eggs.com>
#     Florent Monnier <monnier@codelutin.com>
#     Cédric Musso <cmusso@easter-eggs.org>
#     Frédéric Péters <fpeters@entrouvert.be>
#     Benjamin Poussin <poussin@codelutin.com>
#     Emmanuel Raviart <eraviart@entrouvert.com>
#     Sébastien Régnier <regnier@codelutin.com>
#     Emmanuel Saracco <esaracco@easter-eggs.com>
#
# Copyright (C) 2000, 2001 Easter-eggs & Emmanuel Raviart
# Copyright (C) 2002 Odile Bénassy, Code Lutin, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Frédéric Péters, Benjamin Poussin, Emmanuel Raviart,
#     Emmanuel Saracco & Théridion
# Copyright (C) 2003 Odile Bénassy, Romain Chantereau, Nicolas Clapiès,
#     Code Lutin, Pierre-Antoine Dejace, Thierry Dulieu, Easter-eggs,
#     Entr'ouvert, Florent Monnier, Cédric Musso, Ouvaton, Frédéric Péters,
#     Benjamin Poussin, Rodolphe Quiédeville, Emmanuel Raviart, Sébastien
#     Régnier, Emmanuel Saracco, Théridion & Vecam
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.


__doc__ = """Glasnost Proxy Widgets"""

__version__ = '$Revision$'[11:-2]


import glasnost.common.widgets as commonWidgets

import properties
import things


register = things.register


class WidgetMixin(things.ThingMixin):
    pass


class InputTextMixin(WidgetMixin):
    pass


class ThingMixin(WidgetMixin):
    pass


class TimeMixin(InputTextMixin):
    pass


class BaseWidget(WidgetMixin, commonWidgets.BaseWidget):
    pass
register(BaseWidget)


class Duration(WidgetMixin, commonWidgets.Duration):
    pass
register(Duration)


class Email(WidgetMixin, commonWidgets.Email):
    pass
register(Email)


class InputCheckBox(WidgetMixin, commonWidgets.InputCheckBox):
    pass
register(InputCheckBox)


class InputPassword(WidgetMixin, commonWidgets.InputPassword):
    pass
register(InputPassword)


class InputText(InputTextMixin, commonWidgets.InputText):
    pass
register(InputText)


class Link(WidgetMixin, commonWidgets.Link):
    pass
register(Link)


class Mapping(WidgetMixin, commonWidgets.Mapping):
    pass
register(Mapping)


class Multi(WidgetMixin, commonWidgets.Multi):
    pass
register(Multi)


class MultiCheck(WidgetMixin, commonWidgets.MultiCheck):
    pass
register(MultiCheck)


class Path(WidgetMixin, commonWidgets.Path):
    pass
register(Path)


class PushButton(WidgetMixin, commonWidgets.PushButton):
    pass
register(PushButton)


class RadioButtons(WidgetMixin, commonWidgets.RadioButtons):
    pass
register(RadioButtons)


class Select(WidgetMixin, commonWidgets.Select):
    pass
register(Select)


class SelectId(WidgetMixin, commonWidgets.SelectId):
    pass
register(SelectId)


class TextArea(WidgetMixin, commonWidgets.TextArea):
    pass
register(TextArea)


class Thing(ThingMixin, commonWidgets.Thing):
    pass
register(Thing)


class Time(TimeMixin, commonWidgets.Time):
    pass
register(Time)


class Token(WidgetMixin, commonWidgets.Token):
    pass
register(Token)

        
class UploadFile(WidgetMixin, commonWidgets.UploadFile):
    pass
register(UploadFile)

class Url(WidgetMixin, commonWidgets.Url):
    pass
register(Url)


class XSelect(WidgetMixin, commonWidgets.XSelect):
    pass
register(XSelect)

